%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LaTeX Template: Beamer arrows
%
% Source: http://www.texample.net/
% Feel free to distribute this template, but please keep the
% referal to TeXample.net.
% Date: Nov 2006
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% How to use writeLaTeX: 
%
% You edit the source code here on the left, and the preview on the
% right shows you the result within a few seconds.
%
% Bookmark this page and share the URL with your co-authors. They can
% edit at the same time!
%
% You can upload figures, bibliographies, custom classes and
% styles using the files menu.
%
% If you're new to LaTeX, the wikibook is a great place to start:
% http://en.wikibooks.org/wiki/LaTeX
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\documentclass{beamer} %
\usetheme{CambridgeUS}

\input{packagelist.tex} %separate file list for packages 
\input{customcommands.tex}
\input{compatibilitycommands.tex} %sometimes things go wrong when using different tex compilers. this file calls on custom commands that make it easy to resolve

%%%%%%%%%%%%TITLE 
\title[Graphs for DFNs]{Reduced Models for Discrete Fracture Networks for Modeling Particle Transport using Graph Networks}
\author{Jaime Lopez-Merizalde}
\institute{Tulane University}
\date{\today}


\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%%%%%%%%%%%%Table of Contents
\begin{frame}
  \frametitle{Content Overview}
  \tableofcontents
\end{frame}


% \begin{frame}
% Skeleton for what to include
% \textcolor{red}{presentation time 15 minutes (with questions)}
% \begin{itemize}
% \item Overview
% \item introduction, goals, results, 
% \item DFN background, history, importance
% \item Formulation of Graph network
%   \begin{itemize}
%   \item Walkthrough with 
%   \end{itemize} 5 fracture example
% \item Description of the forward problem   
%   \begin{itemize}
%   \item Formulation of flow 
%   \item Formulation of permeability
%   \item formulation of edgeweights
%   \item formulation of graph laplacian
%   \end{itemize}
% \item  Description of the inverse problem
%   \begin{itemize}
%   \item Regularization 
%   \item Justification of regularization
%   \item Numerical Examples
%   \end{itemize}
% \item Responses and Outcomes 
%   \begin{itemize}
%   \item BTCs Curves. 
%   \item KS statistics
%   \item Uncertainty Quantification
%   \end{itemize}
% \item 
% \end{itemize}
% \end{frame}


\begin{comment}
:Title: Beamer arrows
:Tags: Remember picture, Beamer, Physics & chemistry, Overlays
:Use page: 3

With PGF/TikZ version 1.09 and later, it is possible to draw paths between nodes across
different pictures. This is a useful feature for presentations with the
Beamer package. In this example I've combined the new PGF/TikZ's overlay feature
with Beamer overlays. Download the PDF version to see the result.

**Note.** This only works with PDFTeX, and you have to run PDFTeX twice.

| Author: Kjell Magne Fauske

\end{comment}

%%-------------Start of content
%%%%%%%%%FRAME%%%%%%%%%%%
\section{Introduction}
\begin{frame}{Introduction}

% \begin{minipage}{0.45\textwidth}
\underline{Geophysical Formations:}
\begin{itemize}

\item Hot and cold aqueous fluids have flowed and seeped through sand and fractured rocks for eons \ldots modifying the composition by dissolution, chemical reactions and depositions (Phillips 2009)

\item Within the last couple of lifetimes, human activity has sharply increased the need to understand, model, and predict geological fluid phenomenon for the purposes of energy extraction, water resources and safety, and nuclear management and nonnuclear proliferation. 


% \item Fracture flow is the principal mode of fluid flow in near subsurface geophysics

% \item Geological faults called fractures are cracks that allow a fluid to be forced along a pressure gradient

% \item Multiple intersecting fractures provide a pathway for fluid to traverse the geophysical subsurface
\end{itemize}
% \end{minipage}
% \hspace{20pt}
% \begin{minipage}{0.45\textwidth}
% %------------------------------------------------
% \begin{figure}
% \includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
% \caption{Simulated DFN used for high-fidelity computations}
% \label{fig: DFN}
% \end{figure}
% %------------------------------------------------------
% \end{minipage}
\end{frame}


\begin{frame}
\frametitle{Relevant Problems: Water Resources}
\underline{Water resources}
\begin{itemize}
\item agricultural and industrial wastes lead to contaminant buildups (John-Karl Bohlke 2002)  %(JL: this is a really good article to read for background information on the subject )

\item hazardous to human, plant and animal health. 
\item data indicates many of world's surficial aquifers contain transient records of changing agricultural contamination from the last half of the 20th century. 
\item problems have been commonly cited related to drinking-water quality
\item many studies indicate groundwater contanimation by $NO_3^-$ (nitrate) 
\item shallow aquifers commonly exceed drinking-water maximum contaminant level (MCL) of 10mg/L
\end{itemize}
\end{frame}

\begin{frame}{Relevant Problems: What does $NO_3^-$ do?: Effects on humans}
\underline{What does $NO_3^-$ do?: Effects on humans}
\begin{itemize}
    \item   most commonly observed problem: dysfunction of the thyroid gland (Galaviz-Villa 2010) (JL: also a really good article on the background, requires little to no chem knowledge)
	\item production of nitrosamines (a carcinogen)
	\item was part of agreements at the Conference of the United Nations on the Environment and Development signed by Mexico
\end{itemize}
    \begin{figure}[h]
        \includegraphics[width=.2\textwidth]{figures/Nitrosamine}
        \caption{Nitrosamine Molecule}
        \label{fig: info energy}
    \end{figure}
\end{frame}

\begin{frame}{Relevant Problems: Energy Extraction}
\underline{Energy extraction:}
\begin{itemize}
    \item the energy required by buildings is nearly 20\%-40\% in developing countries, exceeding those required by industry and transportation (Perez-Lombard 2008)
    \item in the US, HVAC (heating ventilation and air conditioning) is 50\% of building consumption and 20\% of total consumption in the US
\end{itemize}

\end{frame}

\begin{frame}{Relevant Problems: Energy Extraction}
    \begin{figure}[h]
        \includegraphics[width=.9\textwidth]{figures/energy_consumption_by_source_large}
        \caption{U.S. energy consumption by energy sources 2017}
        \label{fig: info energy}
    \end{figure}
\end{frame}


\begin{frame}{Introduction: Relevant Problems: World Energy}
    \underline{On world energy use:}
        \begin{itemize}
    	\item world energy usage raises concerns on limited supplies
		\item heavy impacts environmental impacts
		\item The International Energy Agency: From 1984 -- 2004 primary energy grown by 49\% and CO2 emissions by 43\%. Average annual increases of 2\% and 1.8\% 
		\item Emerging economy nations (Southeast Asia, Middle East, South America Africa) energy use growth average annual rate 3.2\%
		\item Developed countries (North America, Western Europe, Japan, Australia, New Zealand) at 1.1\%
		 \item China has taken 20 years to double energy consumption at average growing rate of 3.7\%
    \end{itemize}
\end{frame}

\begin{frame}{Relevant Problems: World Energy}
		\begin{itemize}
		  \item Several factors of world energy indicators between 1973 -- 2004 (14 years ago)
			\item pop growth rate is below GDP, personal income and global wealth rises
			\item primary energy consumption is higher than population, increase of per capita value 
			\item CO2 emissions grown lower rate than energy consumption showing 5\% increase during this period
			\item electrical energy consumption has increased nearly 250\% 
			\item efficiency in exploiting energy resources, shown as relation between final and primary energy, has declined 7\% (less new energy!!)
        \end{itemize}
\end{frame}

\begin{frame}{Introduction: Relevant Problems: Peak Oil}
		\begin{itemize}
		  \item 2005 was the first year a major oil company admitted that oil production is reaching its Hubbert peak  (ASPO Newsletter, 2005) 
          
          \item \textbf{Def: Hubbert peak theory} (Wikipedia):  for any given geographical area, from an individual oil-producing region to the planet as a whole, the rate of petroleum production tends to follow a bell-shaped curve.  

        \end{itemize}
\end{frame}
     
\begin{frame}{Relevant Problems: Peak Oil}
    \underline{Given:}
        \begin{itemize}
         \item \begin{align}
                  Q(t) = \frac{Q_{max}}{1 + a \exp{(-b t)}} \nonumber
              \end{align}
              \begin{itemize}
                  \item  $Q(t)$ is cumulative petroleum production, 
                  \item  $Q_{max}$ is total resource available,
                  \item  $t_{max} = 1/b\ln(a)$ the year of maximum annual production
                  \item $a, b$ \text{constants}
              \end{itemize}
              
         \item Hubbert curve is 
         $$Q'(t) = Q_{max} / (1 + a \exp{(-bt)}) ^{2} *(ab\exp{(-bt)}) $$
        \end{itemize}
\end{frame}

\begin{frame}{Relevant Problems: Peak Oil}
    \begin{figure}[h]
        \includegraphics[width=.95\textwidth]{figures/1066px-Hubbert_world_2004.png}
        \caption{U.S. energy consumption by energy sources 2017}
        \label{fig: info energy}
    \end{figure}
\end{frame}
% 

\begin{frame}{Relevant Problems: Peak Oil}
    \underline{Hydrofracturing}
    \begin{itemize}
     \item \href{https://www.youtube.com/watch?v=VY34PQUiwOQ}{\underline{Hydraulic Fracturing (fracking)}}
     \begin{itemize}
        \item What minutes to focus on: 
        \item 5s -- 55s. Definitions,  
        \item 2m 05s -- 2m 23s Horizontal drilling 
        \item 2m 55s --  5m Perforating gun/hydrofracturing/gas and oil recovery (4m 21s 3d picture of fractures)
     \end{itemize}
      \item \href{https://www.youtube.com/watch?v=Wx_2SVm9Jgo}{\underline{VOX: It's time to draw borders on the Arctic Ocean}}.
         \begin{itemize}
             \item What to focus on:
             \item 0m -- 30s: intro 
             \item 1m 42s -- 2m 50s:arctic ocean melting, Petrol 
         \end{itemize}
    \end{itemize}
\end{frame}

%%%%%%%%%FRAME%%%%%%%%%%%


%%%%%%%%%FRAME%%%%%%%%%%%
\section{Discrete Fracture Network Background}
\begin{frame}\frametitle{What do fractured rocks have anything to do with this?}
\textbf{What do fractured rocks have anything to do with this?}
    \begin{itemize}
          \item \textbf{Def}: fractures are mechanical breaks in rocks; originate from strains arising from stress concentrations around flaws, heterogeneities, and physical discontinuities   (NRC 1996) 
          
          \item Fractures have been previous identified as \textbf{the primary pathways} for fluid flow in low-permeability subsurface media (Gowri S. 2018, Gowri S. 2016)
          
          \item Fractures represent concentrations of void space in rocks
          
        %   \item Fractures form in response to lithostatic, tectonic, and thermal stresses and high fluid pressures
          
          \item Interest in fluid flow in fractured rock has grown rapidly in the past two decades, as a tool in recovering water, hydrocarbon supplies, geothermal energy, and predicting flow of underground pollutants (National Research Council. et. al. 1996)
    \end{itemize}
\end{frame}

\begin{frame}{What do fractured rocks have anything to do with this?}
    \begin{itemize}
        \item \underline{Petroleum reservoirs} form in highly fracture rocks. \begin{itemize}
            \item Matrix porosity stores the hydrocarbons
            \item Fractures provide permeable pathways for the transport of hydrocarbons to producing wells 
        \end{itemize} 

        \item \underline{Water supply} usually finding water supply wells is similar to finding petroleum except they don't have the same financial resources (surprise!)  
        \begin{itemize}
            \item Little cost-effective technology for siting wells for optimum production
            \item now more COMMON for HYDROFRACTURE methods to be used as a method to stimulate water supply 
        \end{itemize}
        
    \end{itemize}
\end{frame}
    
    \begin{frame}{What do fractured rocks have anything to do with this?}
       \underline{Low level toxic wastes}
        \begin{itemize}
          \item (United States Nuclear Regulatory Commission(USNRC)) low-level waste includes items that have become contaminated with radioactive material or have become radioactive through exposure to neutron radiation. 
          \item This waste typically consists of contaminated protective shoe covers and clothing, wiping rags, mops, filters, reactor water treatment residues, equipments and tools, luminous dials, medical tubes, swabs, injection needles, syringes, and laboratory animal carcasses and tissues.  
      
        \end{itemize}
    \end{frame}
    
     \begin{frame}{What do fractured rocks have anything to do with this?}
        \begin{itemize}
            \item To dispose of toxic wastes, fractured rock sites are often used
            \item If problems arise, we have contaminants released into subsurface. Fracture networks are the main transportation mode for the contaminant dispersion
            \item Cost-effective site characterization is required to prevent subsurface contamination 
            \item It is challenging to figure the location of subsurface fractures; how to model?
            \item JL: add the low level toxic pic right here
        \end{itemize}
    \end{frame}
    
    \begin{frame}{What do fractured rocks have anything to do with this?}
        \underline{High-Level nuclear waste:}
        \begin{itemize}
        \small
            \item Toxic highly radioactive waste \textcolor{red}{spent fuel rods from nuclear reactors} 
            \item Repositories for the long-term must isolate waste for TENS OF THOUSANDS OF YEARS 

            \item Groundwater, is an important mechanism for radioactive waste escape 

            \item Several countries considering construction of repositories in crystalline rock below the water table 

            \item A key problem is to locate and characterize major fracture zones without drilling exploratory holes, because they would cause potential leakage pathways. (?? How would one do this?)

            \item Safety considerations usually require that canisters be located hundreds of meters from major fractures. Consequently it is important to identify all mjr fractures or frac zones in vicinity of repository 

            \item The US is evaluating potential repository above the water table in bedded volcanic tuffs at Yucca Mountain in southwestern Nevada (as of this report)
            
        \normalsize
        \end{itemize}
    \end{frame}

%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\section{Discrete Fracture Network Models}

\begin{frame}{Discrete Fracture Networks for High-fidelity computations}
\begin{minipage}{0.45\textwidth}
\begin{itemize}
\footnotesize
    \item Come up with a way to simulate fractures for PDE flow and transport calculations
    \item Modeling is difficult because it is subject to two central challenges:  
     \begin{itemize}
        \footnotesize
         \item Gathering of field data to inform us about the geophysical properties
            \item Computation cost of accurate modeling techniques 
        \end{itemize} 
        \item Advanced modeling techniques of discrete fracture networks (DFNs) have served as powerful tools to simulate flow and transport through a \textcolor{red}{virtual} DFN 
    \end{itemize}
    \normalsize
\end{minipage}
\hspace{17pt}
\begin{minipage}{0.45\textwidth}
%------------------------------------------------
\vspace{-30pt}
\begin{figure}[h]
\includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
\caption{Simulated DFN used for high-fidelity computations}
\label{fig: DFN}
\end{figure}
%------------------------------------------------------
\end{minipage}
\end{frame}


\begin{frame}{Discrete Fracture Networks for High-fidelity computations}
\begin{minipage}{0.45\textwidth}
\underline{How is this done?}
    \begin{itemize}
     \footnotesize 
        \item First, the generation of discrete fractures by populating a 3D control volume with 2D idealized fractures (Stochastic generation)
        \item Pruning and correcting for unrealistic connections 
        \item Meshed finite elements for the numerical PDE solution have been validated against field observations at laboratories such as the Aspo Hard Rock Laboratory (Gowri 2018) 
    \end{itemize}
    \normalsize
\end{minipage}
\hspace{17pt}
\begin{minipage}{0.45\textwidth}
%------------------------------------------------
\vspace{-30pt}
\begin{figure}[h]
\includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
\caption{Simulated DFN used for high-fidelity computations}
\label{fig: DFN}
\end{figure}
%------------------------------------------------------
\end{minipage}
\end{frame}

\begin{frame}{Discrete Fracture Networks for High-fidelity computations}
\begin{minipage}{0.45\textwidth}
\underline{These simulations come at a HIGH COST.}
    \begin{itemize}
     \scriptsize 
        \item To alleviate this burden, work has progressed on multiple fronts by employing graphs % (many authors).  
        \item GRAPHS  have been shown to reduce the calculation time by nearly 4 orders of magnitude ($O(10^4)$) times faster than a full DFN simulation %(Karra S and Hyman JD 2017 and Hyman JD 2017)  

        \item This speedup comes at the cost of accuracy loss for certain quantities of interest (discussed later), but this loss is within an order of magnitude ($O(10^1)$)  
        \item timings for DFN generation, meshing, and flow and transport to take nearly 30 minutes per DFN, while simulations on the equivalent graph was complete in seconds %(Viswanathan H.S. et. al. 2018)  
    \end{itemize}
    \normalsize
\end{minipage}
\hspace{17pt}
\begin{minipage}{0.45\textwidth}
%------------------------------------------------
\vspace{-15pt}
\begin{figure}[h]
\includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
\caption{Simulated DFN used for high-fidelity computations}
\label{fig: DFN}
\end{figure}
%------------------------------------------------------
\end{minipage}
\end{frame}


\begin{frame}{The Graph Model}
%
\vspace{-25pt}
\begin{figure}[ht]%
    \centering
    \subfloat[\scriptsize Six fracture network with accompanying graph equivalent (overlaid). Large black lines represent inlet and outlet boundaries.]{\includegraphics[width=5.25cm]{figures/DFN_and_graph.pdf} }%
    \qquad
    \hspace{5pt}
    \subfloat[\scriptsize Graph $G$ shows internal nodes as \textcolor{red}{red} and boundary nodes as \textcolor{green}{green}. Edges are represented with $e_i 's$]{\includegraphics[width=5.25cm]{figures/frac_network_sample_graph.pdf} }%
    \caption{\tiny A simple DFN composed of 6 fractures, 2 outlet boundaries, and 1 inlet boundary and its graph equivalent. Graphs are the central vehicle for the computation reduction and manipulation of large-scale fracture networks.}%
    \label{fig:DFN and graph equivalent}%
\end{figure}
\end{frame}

%%%%%%%%%FRAME%%%%%%%%%%%
\section{The Forward and Inverse Problems}
\begin{frame}
\frametitle{Setting Up the Problem on a Graph}
\centering
\begin{minipage}{0.6\textwidth}
\begin{align}
\hspace{-15pt}\Aboxed{\nabla \cdot (\rho \vec{q}(\vec{x}))  \nabla \cdot (-\rho K(\vec{x}) \nabla(P(\vec{x}))) =0} &
\label{eq: steady state forward problem}\\[0.75ex]
\Aboxed{ \sum_{j=1}^n Q_{ij} = 0}&
\label{eq: conservation of mass graph}
\end{align}
%%%%%
\vspace{-20pt}
%%%%%
%------------------------------------------------
\begin{figure}
 
\begin{minipage}{.47\textwidth}
\caption{\scriptsize Node $v_i$ is connected to nodes $v_{j_1}$, $v_{j_2}$, $v_{j_3}$, and $v_{j_4}$, with flow characterized by between the respective connections by $Q_{ij_k}$.}
\end{minipage}
% \hspace{-16pt}
% \label{fig: fracture_network_sample_massconserv}
 \begin{minipage}{.47\textwidth}
\fbox{\includegraphics[width=0.65\textwidth]{figures/fracture_network_sample_massconserv.pdf}}
\end{minipage}

\end{figure}
%-----------------------------------------------------
\end{minipage}
% \hspace{1pt}
\begin{minipage}{0.35\textwidth}
% \vspace{-20pt}
\begin{itemize}
\item \footnotesize $\vec{q}=\vec{Q} / \alpha$: volumetric flow rate per unit area
\item \footnotesize $Q_{ij}$: is the mass flux at node $v_i$ from node $v_j$
\item \footnotesize Equation (\ref{eq: steady state forward problem}) is applied to our three-dimensional discrete fracture network 
\item \footnotesize We transcribe it to equation (\ref{eq: conservation of mass graph}) by using the principle of conservation of mass
\end{itemize}
\end{minipage}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}{Setting Up the Problem on a Graph: Problem Details }
\centering
\begin{minipage}{0.45\textwidth}
\begin{align}
\Aboxed{Q_{ij} = q_{ij}\alpha_{ij}}\\[1.25ex]
\Aboxed{q_{ij} = -\kappa_{ij}\frac{(p_i-p_j)}{L_{ij}}} \\[1.25ex]
\Aboxed{w_{ij} = \frac{k_{ij}g}{\nu}
        = \frac{k_{ij}g\rho}{\mu}}
       \\[1.25ex]
\Aboxed{\sum_{j=1}^n  w_{ij}(p_i - p_j) = 0} 
\label{eq: conservation of mass graph 2}
\end{align}
\end{minipage}
\hspace{10pt}
\begin{minipage}{0.45\textwidth}
\underline{Quantities:}
\begin{itemize}
\item \footnotesize $q_{ij}$ is the specific mass flux dischrge 
\item \footnotesize $\kappa_{ij} = k_{ij} g / \nu$ hydraulic conductivity
\item \footnotesize $k_{ij}$ is the fracture permeability
\item \footnotesize $L_{ij} = ||\vec{x}_i-\vec{x}_j||_2$ length between nodes
\item \footnotesize $\alpha_{ij}$ is the fracture aperture for the appropriate connection
\item \footnotesize $\vec{x}_i$ is the centroid of the intersection of its associated fractures as listed in 
\end{itemize}

\end{minipage}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}{Problem Details: Forward Problem}
\scriptsize %size of text

% \centering
\begin{minipage}{0.45\textwidth}
\begin{align}
&p_i\sum_{j=1}^n w_{ij} -  \sum_{j=1}^n w_{ij}p_j =0 \nonumber\\[1.25ex]
&colsum_i = \begin{cases} 
    \sum_j w_{ij} & \text{if} \ v_i \ \text{is an}\\
	 &\text{internal node} \\
     1 & \text{if} \ v_i \ \text{is a}\\
     &\text{boundary node} \\
    \end{cases} \nonumber \\[1.25ex]
&D = [colsum_i]_{i=1}^n \nonumber \\[1.25ex]
&A =  \bigg[ \begin{cases} 
     w_{ij} &\text{if  $v_i$ connected to $v_j$ }\\ 
            &\text{and $v_i$ not a boundary node }\\
      0 & \text{otherwise}
   \end{cases} \bigg] \nonumber\\[1.25ex]
&  \vec{b} = \begin{cases}
    0 & \text{if} \ v_i \ \text{is an internal node} \\
    p_i & \text{if} \ v_i \ \text{is a boundary node}
    \end{cases} \nonumber
\end{align}
\end{minipage}
%%%%%
\hspace{-5pt}
%%%%%
\begin{minipage}{0.45\textwidth}
%textsize
\scriptsize

\begin{align}
\Aboxed{&(D-A)\vec{p} = \vec{b}} \\[1.25ex]
\Aboxed{&\parbox{15em}{Solve for pressures $\vec{p}$,\\
given boundary pressures $\vec{b}$ and prescribed weights ${w_{i,j}}$}}  \nonumber
\end{align}

\end{minipage}

\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}{Problem Details: Inverse Problem}
\scriptsize %size of text

% \centering
\begin{minipage}{0.45\textwidth}
\begin{align}
&p_i\sum_{j=1}^n w_{ij} -  \sum_{j=1}^n w_{ij}p_j =0 \nonumber\\[1.25ex]
%
&\semitransp{colsum_i = \begin{cases} 
    \sum_j w_{ij} & \text{if} \ v_i \ \text{is an}\\
	 &\text{internal node} \\
     1 & \text{if} \ v_i \ \text{is a}\\
     &\text{boundary node} \\
    \end{cases}} \nonumber \\[1.25ex]
%
&\semitransp{D = [colsum_i]_{i=1}^n }\nonumber \\[1.25ex]
%
&\semitransp{A =  \bigg[ \begin{cases} 
     w_{ij} &\text{if  $v_i$ connected to $v_j$ }\\ 
            &\text{and $v_i$ not a boundary node }\\
      0 & \text{otherwise}
   \end{cases} \bigg]} \nonumber\\[1.25ex]
%
&  \semitransp{ \vec{b} = \begin{cases}
    0 & \text{if} \ v_i \ \text{is an internal node} \\
    p_i & \text{if} \ v_i \ \text{is a boundary node}
    \end{cases}} \nonumber
\end{align}
\end{minipage}
%%%%%
\hspace{-5pt}
%%%%%
\begin{minipage}{0.45\textwidth}
%textsize
\scriptsize

\begin{align}
\Aboxed{&\semitransp{ (D-A)\vec{p} = \vec{b}}} \nonumber \\[1.25ex]
\Aboxed{&\parbox{10em}{\semitransp{Solve for pressures $\vec{p}$,\\
given boundary pressures $\vec{b}$,\nonumber \\
and weights $\vec{w}$}}} \nonumber \\[1.25ex]
\Aboxed{& B(\vec{p})\vec{w} = 0}\\[1.25ex]
\Aboxed{& \parbox{12em}{Solve for the weights $\vec{w}$, \\given a set of pressures $\vec{p}$ }}\nonumber
\end{align}
\end{minipage}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}{Problem Details: Regularizing the Inverse Problem}
  \scriptsize
  \begin{itemize}
  \setlength\itemsep{0.90em}
    \item Solution to inverse problem \textcolor{red}{not unique !}
    
    \item Due matrix $B(\vec{p})$ generally being \textcolor{red}{underdetermined}
    
    \item Desire unique solution that is tied of a physical formulation
    
    \item Relative difference in pressures:  $$\frac{||\vec{p}(\vec{w}_c)-\vec{p}_{0}||_2}{||\vec{p}_{0}||_2}<<1$$
    \item Relative difference in weights: $$\frac{||\vec{w}-\vec{w}_p||_2}{||\vec{w}_p||_2}<<1$$
    \item   \normalsize \textcolor{red}{Objective function:}   $$\boxed{ g(\vec{w})=\lambda\frac{||\vec{w}-\vec{w}_p||_2}{||\vec{w}_p||_2}+ (1-\lambda)\frac{||\vec{p}(\vec{w})-\vec{p}_{0}||_2}{||\vec{p}_{0}||_2}  } $$
  \end{itemize}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\section{Responses and Outcomes}
\begin{frame}{Responses and Outcomes}
  \tiny
  \begin{itemize}
  \setlength\itemsep{0.75em} %space between itemized values
    \item Optimization of $g(w)$:  $$\boxed{\vec{w}_c = arg\min_{\vec{w}} (g(\vec{w})) \longleftrightarrow \vec{p}_{c}}$$
    \item Numerical solution to above is done with LANL software called Model Analysis and Decision Support (MADS) written for C++ and the Julia language.
    \item Breakthrough curves for timings of particle transport
    \item Kolmogorov-Smirnov testing for accuracy of break through curve for goodness of fit
    \begin{itemize} \tiny
        \item Continuous: $$\boxed{d_{\alpha}=\sup\limits_{t} \big| F_0(t) - F_1(t) \big| }$$
        \item Discrete: $$\boxed{D_{m,n} = \max\limits_{t_i} \big| F_{0,m}(t_i) - F_{1,n}(t_i) \big|}$$
        \item Test fails if  $$\boxed{  D_{n,m}>c(\alpha ){\sqrt {\frac {n+m}{nm}}} }$$
        \item Where $$\boxed{ c(\alpha) = \sqrt {-{\frac {1}{2}}\ln \left({\frac {\alpha }{2}}\right)} }$$
    \end{itemize}
  \end{itemize}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\section{Numerical Examples}
\begin{frame}
     \begin{figure}[thpb]
      %
       \includegraphics[width=1.0\textwidth]{figures/phys_observed_pressures_rnd_select}
       \tiny
       \caption{\scriptsize Results of minimizing the objective function. All data is plotted versus the observed pressures and includes physical pressures and two calibrated pressures at $\lambda =0.2$ and $0.95$. The latter values correspond to the best and worst fits based on the KS statistic.}
       %
\end{figure}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}
     \begin{figure}[thpb]
      %
       \includegraphics[width=1.0\textwidth]{figures/hist_rel_diff_pressures}
       \tiny
       \caption{\scriptsize Cumulative normalized histogram of relative differences in pressures $\frac{|\vec{p}(\vec{w}_c) - \vec{p}_0)|}{|\vec{p}_0|}$ . The cumulative histogram for p0
the best fit shows that 88\% of the relative differences fall at or below 1\%, while the worst fit has 77\% of the relative differences at or below 1\%. The original physical formulation shows 41\% at or below 1\%.}
       %
\end{figure}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}
     \begin{figure}[thpb]
      %
       \includegraphics[width=1.0\textwidth]{figures/scatter_cal_weights_rnd_slct}
       \tiny
       \caption{\scriptsize Log-log plots of calibrated weights vs physical weights. The weights with $\lambda = 0.2$ are performing worse than their counter-part with $\lambda = 0.95$, which is as expected from the form of the objective function.}
       %
\end{figure}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}
     \begin{figure}[thpb]
      %
       \includegraphics[width=1.0\textwidth]{figures/hist_rel_diff_wghts}
       \tiny
       \caption{\scriptsize Histogram of relative differences in calibrated weights. The \textcolor{red}{red} line that 84\% of the relative errors are under 25\% for $\lambda = 0.95$. For $\lambda = 0.2$, the \textcolor{blue}{blue} line indicates this occurs for 64\% of the relative errors.}
       %
\end{figure}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}
     \begin{figure}[thpb]
      %
       \includegraphics[width=1.0\textwidth]{figures/breakthrough_curve}
       \tiny
       \caption{\scriptsize Break-through curves for the observed pressures, the physical pressures, and two sets of calibrated pressures. The \textcolor{blue}{blue} curve, associated with $\lambda = 0.2$, has the lowest (best) $D_{mn}$ value. The \textcolor{red}{red} curve, associated with $\lambda = 0.95$, has the highest (worst) $D_{mn}$ value.}
       %
\end{figure}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\begin{frame}
     \begin{figure}[thpb]
      %
       \includegraphics[width=1.0\textwidth]{figures/D_mn_v_lambda}
       \tiny
       \caption{\scriptsize $D_{mn}$ values for 10 stochastic runs as a way to determine a goodness of fit by the calibrated break- through curve compared to the observed break-through curve. A rejection level of $\alpha = 0.01$ is used to decide if the two empirical cumulative distributions originate from the same probability distribution. We also observe that the best result is achieved when $\lambda = 0.2$, while the worst result is associated with $\lambda = 0.95$.}
       %
\end{figure}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\section{Conclusions}
\begin{frame}
\underline{Conclusions:}
    \begin{itemize}
        \item We presented a method that expands on the idea of modeling discrete fracture networks with a simplified graph network
        
        \item Our approach expands on this by driving an optimization that produces weights that give a better approximation to the pressures we desire to match
        
        \item The main outcome of producing accurate pressures is creating a breakthrough curve for particles being transported from the inlet to the outlet boundaries via the graph network
        
        \item Multiple measures of goodness of fit: Kolmogorov-Smirnov, Hellinger Distance, Chi-squared
        
        \item Uncertainty framework can rely on subgraphs and a modified approach to bootstrapping (O'Malley et. al. 2018)
    \end{itemize}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

%%%%%%%%%FRAME%%%%%%%%%%%
\section{Future Work}
\begin{frame}
\underline{Future Work:}
    \begin{itemize}
        \item Other formulations that expand on Darcys law, can be included in our modeling for comparison
        
        \item Another consideration for future development is the uncertainty of our predictions or breakthrough curves. This uncertainty can also be modeled using our graph network by solving the forward problem over varying weights
        
        \item Our numerical example focused on a single instance of 500 fractures. We can increase to 1000, and 10,000
        
        \item Subgraph selections are also possible
    \end{itemize}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%




%%%%%%%%%FRAME%%%%%%%%%%%
\section{Thanks!}
\begin{frame}
\centering 

THANKS!
% \bibliographystyle{plain}
% \bibliography{references}
\end{frame}
%%%%%%%%%FRAME%%%%%%%%%%%

\end{document}